#
# spec file for package pybluez (Version 0.9.2 )
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bluez-libs bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions popt python python-devel rpm sed sqlite sysvinit tar texinfo timezone util-linux zlib

Name:           pybluez
BuildRequires:  bluez-libs python-devel
Summary:        A Python Bluetooth wrapper
Version:        0.9.2 
Release:        47
Source0:        %{name}-src-%{version}.tar.gz
License:        GPL v2 or later
Group:          Development/Libraries/Python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         %{_prefix}
URL:            http://org.csail.mit.edu/pybluez/

%py_requires

%description
PyBluez is an effort to create python wrappers around system Bluetooth
resources to allow Python developers to easily and quickly create
Bluetooth applications.



Authors:
--------
    Albert Huang <albert@csail.mit.edu>
    Calvin On <calvinon@csail.mit.edu>

%debug_package
%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc CHANGELOG  COPYING README  

%changelog
* Mon Jan 15 2007 - dgollub@suse.de
- initial version of PyBluez 0.9.2
